# 使用官方Node.js运行时作为基础镜像
FROM node:18-alpine

# 设置工作目录
WORKDIR /app

# 复制package.json和yarn.lock
COPY package.json yarn.lock* ./

# 安装项目依赖
RUN yarn install

# 复制项目文件
COPY . .

# 设置环境变量
ENV HOST=0.0.0.0
ENV PORT=80

# 暴露端口
EXPOSE 80

# 启动项目
CMD ["yarn", "dev"]